ListEmailTemplates
curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListEmailTemplates \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListEmailTemplates"
payload = { "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListEmailTemplates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"templates": [
{
"organizationId": "<string>",
"templateType": "EMAIL_TEMPLATE_TYPE_UNSPECIFIED",
"subject": "<string>",
"body": "<string>",
"hasCustomTemplate": true
}
]
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}rpc.v1.OrganizationService
ListEmailTemplates
List all email templates for an organization (returns default for types without a custom template)
POST
/
rpc
/
rpc.v1.OrganizationService
/
ListEmailTemplates
ListEmailTemplates
Authorizations
Personal API key, sent as Authorization: Bearer <key>.
Headers
Define the version of the Connect protocol
Example:
1
Define the timeout, in ms
Example:
1000
Body
application/json
request to list all email templates for an organization
id of the organization
Response
Success
response for listing email templates
one entry per known template type
Show child attributes
Show child attributes